Skip to content

Public Data ​


Following API endpoints are used to administrate reference data of the system.

Get the list of suspension profiles ​

The following endpoint gives the list of existing suspension profiles together with their characteristics.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/suspension_profiles

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

ParameterTypeDescriptionRequired?
sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 25)no
pageintegerUsed for pagination, determines the returned page from the collection of result pages (defaults to 1)no

Response ​

Status codes ​

ParameterDescription
200One or more suspension profile found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No suspension profile found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
suspensionProfilesarraya list containing all suspension profiles in the system. See suspension profile for complete detailsno
Example ​
json
{
  "results": 2,
  "pages": 1,
  "page": 1,
  "suspensionProfiles": [
    {
      "id": 2,
      "name": "suspended",
      "description": "Test Suspension Profile",
      "barringProfileId": "suspended_distributor"
    },
    {
      "id": 7,
      "name": "suspended_2",
      "barringProfileId": "Barred at Tenant level 2"
    }
  ]
}

Get the list of entitlement types ​

The following endpoint gives the list of existing license types together with their characteristics.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/entitlement_types

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

Note ​

Deprecated

This endpoint is deprecated. Use instead the equivalent endpoint with tenants/subscriptions structure.

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/entitlement_types

Authorization ​

Required role

tenants.instance.subscriptions.instance.entitlement_types.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the MS Teams voice routing policy

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more entitlement types found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
entitlement_typesarraya list containing all the entitlement types in the system. See entitlement type for complete detailsno
Example ​
json
{
    "entitlementTypes": [
        {
            "id": 1,
            "name": "Belgium - geographical numbers",
            "description": "",
            "externalReference": "",
            "createdOn": "2021-12-15T11:47:21",
            "updatedOn": "2021-12-15T11:47:21",
            "countryCode": "+32",
            "numberType": "geo",
            "serviceCapabilities": "*",
            "vanityType": null
        },
        {
            "id": 2,
            "name": "Belgium - tollfree numbers",
            "description": "",
            "externalReference": "",
            "createdOn": "2021-12-15T11:50:30",
            "updatedOn": "2021-12-15T11:50:30",
            "countryCode": "+32",
            "numberType": "tollfree",
            "serviceCapabilities": "*",
            "vanityType": null
        },
        {
            "id": 3,
            "name": "NL - geographic numbers",
            "description": "",
            "externalReference": "",
            "createdOn": "2021-12-15T11:51:03",
            "updatedOn": "2021-12-15T11:51:03",
            "countryCode": "+31",
            "numberType": "geo",
            "serviceCapabilities": "*",
            "vanityType": null
        },
        {
            "id": 4,
            "name": "test",
            "description": "test",
            "externalReference": "test",
            "createdOn": "2022-01-04T23:28:25",
            "updatedOn": "2022-01-04T23:28:25",
            "countryCode": "+93 00",
            "numberType": "*",
            "serviceCapabilities": "*",
            "vanityType": null
        }
    ],
    "pagination": [],
    "sorting": []
}

Get the list of country ISO codes ​

The following endpoint gives a list of country ISO codes.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/country_iso_codes

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more country ISO code found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
countryIsoCodesarraya list containing all the country codes as known by the platform See country code for complete detailsno
Example ​
json
{
    "countryIsoCodes": [
        {
            "isoCode": "AF",
            "name": "Afghanistan"
        },
        ...
        {
            "isoCode": "BE",
            "name": "Belgium"
        },
        ...
        {
            "isoCode": "FR",
            "name": "France"
        },
        ...
        {
            "isoCode": "IT",
            "name": "Italy"
        },
        ...
        {
            "isoCode": "GB",
            "name": "United Kingdom"
        },
        ...
        {
            "isoCode": "ZW",
            "name": "Zimbabwe"
        }
    ]
}

Get the list of country codes ​

The following endpoint gives a list of country codes (phone number country codes) as well as the associated country. It is available at group, distributor, reseller, tenant and subscription level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/country_codes

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/country_codes

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/country_codes

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/country_codes

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/country_codes

Authorization ​

Required role

groups.instance.country_codes.read

distributors.instance.country_codes.read

resellers.instance.country_codes.read

tenants.instance.country_codes.read

tenants.instance.subscriptions.instance.country_codes.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group, distributor, reseller or tenant (for the subscription route: the tenant managing the subscription)
sub_idintegerIndex of a subscription for which you want to get the country codes (subscription route only)

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more country code types found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
countryCodesarraya list containing all the country codes as known by the platform See country code for complete detailsno
Example ​
json
{
    "countryCodes": [
        {
            "id": 4,
            "code": "+1 (684) 011",
            "name": "American Samoa",
            "createdOn": "2021-09-20T14:30:49",
            "updatedOn": "2021-09-20T14:30:49"
        },
        {
            "id": 5,
            "code": "+376",
            "name": "Andorra",
            "createdOn": "2021-09-20T14:30:49",
            "updatedOn": "2021-09-20T14:30:49"
        }
    ]
}

Get the list of geographical regions (Group admin) ​

The following endpoint returns the list of geographical regions.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/regions

Authorization ​

Required role

groups.instance.regions.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more geographical regions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
regionsarraya list containing all the geographical regions as known by the platform See country code for complete detailsno
Example ​
json
{
    "regions": [
        {
            "id": 1,
            "isoCode": "BE",
            "name": "Leuven",
            "createdOn": "2022-01-03T01:57:15",
            "updatedOn": "2022-01-03T01:57:15"
        },
        {
            "id": 2,
            "isoCode": "BE",
            "name": "Brussel",
            "createdOn": "2022-01-03T01:57:22",
            "updatedOn": "2022-01-03T01:57:22"
        },
        {
            "id": 3,
            "isoCode": "BE",
            "name": "Hasselt",
            "createdOn": "2022-01-03T01:57:31",
            "updatedOn": "2022-01-03T01:57:31"
        },
        {
            "id": 4,
            "isoCode": "BE",
            "name": "Borgloon",
            "createdOn": "2022-01-03T01:57:37",
            "updatedOn": "2022-01-03T01:57:37"
        },
        {
            "id": 5,
            "isoCode": "NL",
            "name": "Utrecht",
            "createdOn": "2022-01-03T01:59:52",
            "updatedOn": "2022-01-03T01:59:52"
        }
    ]
}

Get the list of geographical regions (Distributor admin) ​

The following endpoint returns the list of geographical regions.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/regions

Authorization ​

Required role

distributors.instance.regions.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the distributor

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more geographical regions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
regionsarraya list containing all the geographical regions as known by the platform See country code for complete detailsno
Example ​
json
{
    "regions": [
        {
            "id": 1,
            "isoCode": "BE",
            "name": "Leuven",
            "createdOn": "2022-01-03T01:57:15",
            "updatedOn": "2022-01-03T01:57:15"
        },
        {
            "id": 2,
            "isoCode": "BE",
            "name": "Brussel",
            "createdOn": "2022-01-03T01:57:22",
            "updatedOn": "2022-01-03T01:57:22"
        },
        {
            "id": 3,
            "isoCode": "BE",
            "name": "Hasselt",
            "createdOn": "2022-01-03T01:57:31",
            "updatedOn": "2022-01-03T01:57:31"
        },
        {
            "id": 4,
            "isoCode": "BE",
            "name": "Borgloon",
            "createdOn": "2022-01-03T01:57:37",
            "updatedOn": "2022-01-03T01:57:37"
        },
        {
            "id": 5,
            "isoCode": "NL",
            "name": "Utrecht",
            "createdOn": "2022-01-03T01:59:52",
            "updatedOn": "2022-01-03T01:59:52"
        }
    ]
}

Get the list of geographical regions (Reseller admin) ​

The following endpoint returns the list of geographical regions.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/regions

Authorization ​

Required role

resellers.instance.regions.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the reseller

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more geographical regions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
regionsarraya list containing all the geographical regions as known by the platform See country code for complete detailsno
Example ​
json
{
    "regions": [
        {
            "id": 1,
            "isoCode": "BE",
            "name": "Leuven",
            "createdOn": "2022-01-03T01:57:15",
            "updatedOn": "2022-01-03T01:57:15"
        },
        {
            "id": 2,
            "isoCode": "BE",
            "name": "Brussel",
            "createdOn": "2022-01-03T01:57:22",
            "updatedOn": "2022-01-03T01:57:22"
        },
        {
            "id": 3,
            "isoCode": "BE",
            "name": "Hasselt",
            "createdOn": "2022-01-03T01:57:31",
            "updatedOn": "2022-01-03T01:57:31"
        },
        {
            "id": 4,
            "isoCode": "BE",
            "name": "Borgloon",
            "createdOn": "2022-01-03T01:57:37",
            "updatedOn": "2022-01-03T01:57:37"
        },
        {
            "id": 5,
            "isoCode": "NL",
            "name": "Utrecht",
            "createdOn": "2022-01-03T01:59:52",
            "updatedOn": "2022-01-03T01:59:52"
        }
    ]
}

Get the list of geographical regions (Tenant admin) ​

The following endpoint returns the list of geographical regions.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/regions

Authorization ​

Required role

tenants.instance.regions.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more geographical regions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
regionsarraya list containing all the geographical regions as known by the platform See country code for complete detailsno
Example ​
json
{
    "regions": [
        {
            "id": 1,
            "isoCode": "BE",
            "name": "Leuven",
            "createdOn": "2022-01-03T01:57:15",
            "updatedOn": "2022-01-03T01:57:15"
        },
        {
            "id": 2,
            "isoCode": "BE",
            "name": "Brussel",
            "createdOn": "2022-01-03T01:57:22",
            "updatedOn": "2022-01-03T01:57:22"
        },
        {
            "id": 3,
            "isoCode": "BE",
            "name": "Hasselt",
            "createdOn": "2022-01-03T01:57:31",
            "updatedOn": "2022-01-03T01:57:31"
        },
        {
            "id": 4,
            "isoCode": "BE",
            "name": "Borgloon",
            "createdOn": "2022-01-03T01:57:37",
            "updatedOn": "2022-01-03T01:57:37"
        },
        {
            "id": 5,
            "isoCode": "NL",
            "name": "Utrecht",
            "createdOn": "2022-01-03T01:59:52",
            "updatedOn": "2022-01-03T01:59:52"
        }
    ]
}

Get the list of geographical regions of a Subscription ​

The following endpoint returns the list of geographical regions of a subscription.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/regions

Authorization ​

Required role

tenants.instance.subscriptions.instance.regions.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the geographical regions

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more geographical regions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
regionsarraya list containing all the geographical regions as known by the platform See country code for complete detailsno
Example ​
json
{
    "regions": [
        {
            "id": 1,
            "isoCode": "BE",
            "name": "Leuven",
            "createdOn": "2022-01-03T01:57:15",
            "updatedOn": "2022-01-03T01:57:15"
        },
        {
            "id": 2,
            "isoCode": "BE",
            "name": "Brussel",
            "createdOn": "2022-01-03T01:57:22",
            "updatedOn": "2022-01-03T01:57:22"
        },
        {
            "id": 3,
            "isoCode": "BE",
            "name": "Hasselt",
            "createdOn": "2022-01-03T01:57:31",
            "updatedOn": "2022-01-03T01:57:31"
        },
        {
            "id": 4,
            "isoCode": "BE",
            "name": "Borgloon",
            "createdOn": "2022-01-03T01:57:37",
            "updatedOn": "2022-01-03T01:57:37"
        },
        {
            "id": 5,
            "isoCode": "NL",
            "name": "Utrecht",
            "createdOn": "2022-01-03T01:59:52",
            "updatedOn": "2022-01-03T01:59:52"
        }
    ]
}

Create a geographical region ​

Use this endpoint to create a geographical region of a group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/regions

Authorization ​

Required role

groups.instance.regions.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to add a region

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isoCodestringCountry code in ISO 3166 alpha-2 formatyes
namestringCountry nameyes

Example ​

json
{
  "isoCode": "BE",
  "name": "Brussels"
}

Response ​

Status codes ​

ParameterDescription
204The region has been successfully added to the group
400Error while processing the region for the group
500Uncatched error on server side

Success ​

Body ​

N/A

Modify a geographical region ​

Use this endpoint to modify a geographical region of a group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/regions/{id}

Authorization ​

Required role

groups.instance.regions.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to modify a region
idintegerThe geographical region ID

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isoCodestringCountry code in ISO 3166 alpha-2 formatno
namestringCountry nameno

Example ​

json
{
  "isoCode": "FR",
  "name": "Paris"
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Remove a geographical region ​

Use this endpoint to remove a geographical region from a group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/regions/{id}

Authorization ​

Required role

groups.instance.regions.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group from which you want to remove a region
idintegerThe geographical region ID

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The region has been successfully removed from the group
400Error while processing the region for the group
500Uncatched error on server side

Success ​

Body ​

N/A

Get the list of postal codes ​

The following endpoint gives a list of available postal codes for entering an address.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/postal_codes

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

Note ​

Deprecated

This endpoint is deprecated. Use instead the equivalent endpoint with tenants/subscriptions structure.

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/postal_codes

Authorization ​

Required role

tenants.instance.subscriptions.instance.postal_codes.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the MS Teams voice routing policy

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more postal codes found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
postalCodesarraya list containing all postal codes as known by the platform. See postal code for complete detailsno
Example ​
json
{
    "postalCodes": [
        {
            "id": 2014,
            "code": "3925BH",
            "city": "Scherpenzeel",
            "state": "Drenthe",
            "region": {
                "id": 122,
                "name": "Wolvega"
            },
            "country": {
                "id": 155,
                "name": "Netherlands"
            }
        },
        {
            "id": 2015,
            "code": "1300AE",
            "city": "Almere",
            "state": "Flevoland",
            "region": {
                "id": 70,
                "name": "Almere"
            },
            "country": {
                "id": 155,
                "name": "Netherlands",
                "isoCode": "NL"
            }
        }
    ]
}

Get the list of dial plan group ​

The following endpoint gives a list of dial plan groups.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/dial_plan_groups

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more country code types found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
resultsstringTotal count of results that match your queryno
pagesstringTotal count of result pages that are availableno
pagestringID of the page that is currently returnedno
dialPlanGroupsarraya list containing all the dial plan groups.
Example ​
json
{
    "results": 4,
    "pages": 1,
    "page": 1,
    "dialPlanGroups": [
        {
            "id": 1,
            "name": "Afghanistan"
        },
        {
            "id": 2,
            "name": "Afghanistan Mobile"
        },
        {
            "id": 3,
            "name": "Albania"
        },
        {
            "id": 4,
            "name": "Albania Mobile"
        }
    ]
}

Get the list of possible owners ​

The following endpoint returns the list of possible owners when creating a group, distributor, reseller or tenant. The API logic checks current user level and compares it against the level of the object to be created. It then returns a list of possible owners if any that may be used to link the to be created distributor, reseller or tenant to.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/owners

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

ParameterTypeDescriptionRequired?
levelintegerLevel of the to be created object. Possible values are:
  • group,
  • distributor,
  • reseller,
  • tenant.
no

Response ​

Status codes ​

ParameterDescription
200Returns no level if logic doesn't allow to choose one or a list of possible levels and identities for the owner
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
ownersarrayA list containing all possible owners for the object to be createdno
Owner Object ​
ParameterTypeDescriptionConditional?
idintegerInternal ID of the possible owner in the databaseyes
namestringName of the possible owneryes
uuidstringUniversal unique id uniquely identifying the possible owneryes
typestringLevel of the possible owner. Possible values are:
  • system,
  • distributor,
  • reseller,
  • tenant.
no
Example ​
json
{
    "owners": [
        {
            "id": 47,
            "name": "Netaxis Test Group",
            "type": "group",
            "uuid": "96b6bae5-d6af-4ead-b1a2-ac407eaf643e"
        },
        {
            "id": 387,
            "name": "Netaxis Test Distributor",
            "type": "distributor",
            "uuid": "9c201f22-044b-4c21-9727-5634d186c51a"
        },
        {
            "id": 213,
            "name": "Netaxis Test Reseller",
            "type": "reseller",
            "uuid": "29115105-ea54-4fe4-9061-b65b353c4cb2"
        }
    ]
}

Get the list of possible owners for a level ​

The following endpoint returns a paginated list of possible owners for a distributor, reseller or tenant. It is used by the portal both to populate the owner selector when creating or editing a reseller or tenant, and to populate the owner filter of the reseller and tenant lists.

To be confirmed

The portal uses this endpoint instead of GET /public/owners. The backend team should confirm whether /public/owners is still valid or has been replaced by this endpoint.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/owners/{level}

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
levelstringLevel of the object for which the possible owners are requested. Possible values used by the portal are:
  • reseller,
  • tenant.

URL/Query parameters ​

ParameterTypeDescriptionRequired?
filter_levelstringOnly return owners of this level. Possible values are:
  • group,
  • distributor,
  • reseller.
no
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno

Response ​

Status codes ​

ParameterDescription
200Returns a (possibly empty) list of possible owners
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
ownersarrayA list containing all possible owners for the given levelno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of owners has to be continuedyes
Example ​
json
{
    "owners": [
        {
            "id": 47,
            "name": "Netaxis Test Group",
            "type": "group",
            "uuid": "96b6bae5-d6af-4ead-b1a2-ac407eaf643e"
        },
        {
            "id": 387,
            "name": "Netaxis Test Distributor",
            "type": "distributor",
            "uuid": "9c201f22-044b-4c21-9727-5634d186c51a"
        }
    ],
    "next": "cGFnZV9zaXplPTI0JnBhZ2U9Mg=="
}

Get the owner of the current user ​

The following endpoint returns the group the current user belongs to, as well as the level and UUID of the entity the user is administrator of. The portal calls it at startup to load the right group configuration and to determine the user level.

To be confirmed

This endpoint (/public/owner, singular) is different from GET /public/owners. The backend team should confirm whether /public/owners is still valid.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/owner

Authorization ​

Required role

Available for all users. When called without a bearer token (anonymous), the portal falls back to the default (public) configuration.

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Returns the group and owner of the current user
401The access token is invalid or expired
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
groupobjectA group reference object identifying the group the user belongs tono
ownerobjectA current owner object describing the entity the user is administrator ofyes
Group Reference Object ​
ParameterTypeDescriptionConditional?
idintegerInternal ID of the group in the databaseno
uuidstringUniversal unique id uniquely identifying the groupno
Current Owner Object ​
ParameterTypeDescriptionConditional?
typestringLevel of the user. Possible values are:
  • system,
  • group,
  • distributor,
  • reseller,
  • tenant.
no
uuidstringUniversal unique id identifying the entity the user is administrator ofno
Example ​
json
{
    "group": {
        "id": 47,
        "uuid": "96b6bae5-d6af-4ead-b1a2-ac407eaf643e"
    },
    "owner": {
        "type": "reseller",
        "uuid": "29115105-ea54-4fe4-9061-b65b353c4cb2"
    }
}

Get all number ranges known in the NIMS ​

This endpoint returns all number ranges available in the number inventory from which the users can choose

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/number_inventory/ranges

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

Note ​

Deprecated

This endpoint is deprecated. Use instead the equivalent endpoint with tenants/subscriptions structure.

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/number_inventory/ranges

Authorization ​

Required role

groups.instance.number_inventory.ranges.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

ParameterTypeDescriptionRequired?
filtersobjectUsed to perform advanced filtering on the query. See the Group Number Inventory Ranges Filters Object.no
searchstringUsed to perform a search through all searchable properties of a range that look like the string passedno
pageintegerCurrent displayed page from the set of pagesno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
Group Number Inventory Ranges Filters Object ​
ParameterTypeDescriptionRequired?
country_codesarrayA list of country codesno
number_typestringThe number type (e.g. geo, mobile, tollfree, ...)no

Response ​

Status codes ​

ParameterDescription
200One or more number inventory ranges found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
rangesarrayList containing all the ranges in the number inventory. Per range an indication is provided about the amount of numbers still available within this range. See range for complete detailsno
nextstringToken used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
Example ​
json
{
  "ranges": [
    {
      "id": 6,
      "countryCode": "+27",
      "rangeStart": 102851530,
      "rangeEnd": 102851590,
      "numberType": "geo",
      "nbAvailable": 48,
      "nbTotal": 61,
      "createdOn": "2023-01-13T16:10:39",
      "updatedOn": "2023-01-13T16:10:39",
      "isoCode": "ZA",
      "supplier": null
    },
    {
      "id": 4,
      "countryCode": "+27",
      "rangeStart": 102852000,
      "rangeEnd": 102854000,
      "numberType": "geo",
      "nbAvailable": 1992,
      "nbTotal": 2001,
      "createdOn": "2022-10-05T09:39:44",
      "updatedOn": "2022-10-05T09:39:44",
      "isoCode": "ZA",
      "supplier": null
    },
    {
      "id": 3,
      "countryCode": "+31",
      "rangeStart": 302860000,
      "rangeEnd": 302869999,
      "numberType": "geo",
      "nbAvailable": 9982,
      "nbTotal": 10000,
      "createdOn": "2022-10-05T09:39:03",
      "updatedOn": "2022-10-05T09:39:03",
      "region": 2,
      "isoCode": "NL",
      "supplier": null
    },
    {
      "id": 51,
      "countryCode": "+32",
      "rangeStart": 21234500,
      "rangeEnd": 21234599,
      "numberType": "geo",
      "nbAvailable": 95,
      "nbTotal": 100,
      "createdOn": "2026-03-06T15:09:21",
      "updatedOn": "2026-03-06T15:09:21",
      "isoCode": "BE",
      "supplier": null
    },
    {
      "id": 2,
      "countryCode": "+32",
      "rangeStart": 25400000,
      "rangeEnd": 25409999,
      "numberType": "geo",
      "nbAvailable": 9934,
      "nbTotal": 10000,
      "createdOn": "2022-10-05T09:38:27",
      "updatedOn": "2022-10-05T09:38:27",
      "region": 1,
      "isoCode": "BE",
      "supplier": null
    },
    {
      "id": 12,
      "countryCode": "+32",
      "rangeStart": 25419900,
      "rangeEnd": 25419999,
      "numberType": "geo",
      "nbAvailable": 73,
      "nbTotal": 100,
      "createdOn": "2023-07-12T15:53:09",
      "updatedOn": "2023-07-12T15:53:09",
      "isoCode": "BE",
      "supplier": null
    },
    {
      "id": 42,
      "countryCode": "+32",
      "rangeStart": 25429900,
      "rangeEnd": 25429902,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 3,
      "createdOn": "2024-10-02T09:59:00",
      "updatedOn": "2024-10-02T09:59:00",
      "isoCode": "BE",
      "supplier": null
    },
    {
      "id": 50,
      "countryCode": "+32",
      "rangeStart": 26260120,
      "rangeEnd": 26260130,
      "numberType": "geo",
      "nbAvailable": 11,
      "nbTotal": 11,
      "createdOn": "2025-06-09T11:45:41",
      "updatedOn": "2025-06-09T11:45:41",
      "isoCode": "BE",
      "supplier": null
    },
    {
      "id": 52,
      "countryCode": "+32",
      "rangeStart": 28509140,
      "rangeEnd": 28509141,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 2,
      "createdOn": "2026-03-06T15:27:48",
      "updatedOn": "2026-03-06T15:27:48",
      "isoCode": "BE",
      "supplier": null
    },
    {
      "id": 5,
      "countryCode": "+33",
      "rangeStart": 470900000,
      "rangeEnd": 470909999,
      "numberType": "geo",
      "nbAvailable": 9984,
      "nbTotal": 10000,
      "createdOn": "2023-01-13T14:43:48",
      "updatedOn": "2023-01-13T14:43:48",
      "isoCode": "FR",
      "supplier": null
    },
    {
      "id": 7,
      "countryCode": "+41",
      "rangeStart": 765555600,
      "rangeEnd": 765555699,
      "numberType": "geo",
      "nbAvailable": 73,
      "nbTotal": 100,
      "createdOn": "2023-02-13T17:40:19",
      "updatedOn": "2023-02-13T17:40:19",
      "isoCode": "CH",
      "supplier": null
    },
    {
      "id": 8,
      "countryCode": "+41",
      "rangeStart": 765555700,
      "rangeEnd": 765555799,
      "numberType": "geo",
      "nbAvailable": 100,
      "nbTotal": 100,
      "createdOn": "2023-02-13T17:40:56",
      "updatedOn": "2023-02-13T17:40:56",
      "isoCode": "CH",
      "supplier": null
    },
    {
      "id": 47,
      "countryCode": "+44",
      "rangeStart": 1234560,
      "rangeEnd": 1234569,
      "numberType": "geo",
      "nbAvailable": 10,
      "nbTotal": 10,
      "createdOn": "2025-03-05T16:55:17",
      "updatedOn": "2025-03-05T16:55:17",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 20,
      "countryCode": "+44",
      "rangeStart": 1204324971,
      "rangeEnd": 1204324971,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-02-27T09:22:12",
      "updatedOn": "2024-02-27T09:22:12",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 24,
      "countryCode": "+44",
      "rangeStart": 1204325626,
      "rangeEnd": 1204325626,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-03-04T10:18:06",
      "updatedOn": "2024-03-04T10:18:06",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 13,
      "countryCode": "+44",
      "rangeStart": 1225000000,
      "rangeEnd": 1225999999,
      "numberType": "geo",
      "nbAvailable": 999996,
      "nbTotal": 1000000,
      "createdOn": "2024-02-02T08:38:00",
      "updatedOn": "2024-02-02T08:38:00",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 19,
      "countryCode": "+44",
      "rangeStart": 1235355288,
      "rangeEnd": 1235355288,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-02-23T11:31:07",
      "updatedOn": "2024-02-23T11:31:07",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 18,
      "countryCode": "+44",
      "rangeStart": 1235355309,
      "rangeEnd": 1235355309,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-02-23T11:31:07",
      "updatedOn": "2025-03-12T13:41:54",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 32,
      "countryCode": "+44",
      "rangeStart": 1235355598,
      "rangeEnd": 1235355598,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-09-03T07:17:19",
      "updatedOn": "2024-09-03T07:17:19",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 36,
      "countryCode": "+44",
      "rangeStart": 1235420082,
      "rangeEnd": 1235420082,
      "numberType": "tollfree",
      "nbAvailable": 1,
      "nbTotal": 1,
      "createdOn": "2024-09-03T07:17:21",
      "updatedOn": "2025-03-07T14:31:52",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 34,
      "countryCode": "+44",
      "rangeStart": 1241461223,
      "rangeEnd": 1241461223,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-09-03T07:17:19",
      "updatedOn": "2024-09-03T07:17:19",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 45,
      "countryCode": "+44",
      "rangeStart": 1248660470,
      "rangeEnd": 1248660470,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2025-02-14T14:58:15",
      "updatedOn": "2025-02-14T14:58:15",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 41,
      "countryCode": "+44",
      "rangeStart": 1288270117,
      "rangeEnd": 1288270118,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 2,
      "createdOn": "2024-09-18T09:41:00",
      "updatedOn": "2024-09-18T09:41:00",
      "isoCode": "GB",
      "supplier": null
    },
    {
      "id": 21,
      "countryCode": "+44",
      "rangeStart": 1295230301,
      "rangeEnd": 1295230301,
      "numberType": "geo",
      "nbAvailable": 0,
      "nbTotal": 1,
      "createdOn": "2024-03-01T13:40:18",
      "updatedOn": "2024-03-01T13:40:18",
      "isoCode": "GB",
      "supplier": null
    }
  ],
  "results": 24,
  "pages": 2,
  "page": 1,
  "next": "dmFsdWVzPXsicGFnZV9zaXplIjoyNCwicGFnZSI6MX0mcGFnZV9zaXplPTI0JnBhZ2U9Mg=="
}

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/number_inventory/ranges

Authorization ​

Required role

tenants.instance.subscriptions.instance.number_inventory.ranges.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to retrieve the list of number inventory ranges

URL/Query parameters ​

ParameterTypeDescriptionRequired?
filtersobjectUsed to perform advanced filtering on the query. See the Subscription Number Inventory Ranges Filters Object.no
searchstringUsed to perform a search through all searchable properties of a range that look like the string passedno
pageintegerCurrent displayed page from the set of pagesno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
Subscription Number Inventory Ranges Filters Object ​

Note that an additional ONLY the ranges with available phone numbers are returned.

ParameterTypeDescriptionRequired?
country_codestringThe country codeno
number_typestringThe number type (e.g. geo, mobile, tollfree, ...)no

Response ​

Status codes ​

ParameterDescription
200One or more number inventory ranges found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
rangesarrayList containing all the ranges in the number inventory. Per range an indication is provided about the amount of numbers still available within this range. See range for complete detailsno
nextstringToken used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
Example ​
json
{
    "ranges": [
        {
            "id": 1,
            "countryCode": "+32",
            "rangeStart": 16470000,
            "rangeEnd": 16479999,
            "numberType": "geo",
            "region": 1,
            "createdOn": "2022-01-03T01:58:12",
            "updatedOn": "2022-01-03T01:58:12",
            "nbAvailable": 10000,
            "nbTotal": 10000
        },
        {
            "id": 2,
            "countryCode": "+32",
            "rangeStart": 25400000,
            "rangeEnd": 25409999,
            "numberType": "geo",
            "region": 2,
            "createdOn": "2022-01-03T01:59:11",
            "updatedOn": "2022-01-03T01:59:11",
            "nbAvailable": 9990,
            "nbTotal": 10000
        },
        {
            "id": 3,
            "countryCode": "+31",
            "rangeStart": 302860000,
            "rangeEnd": 302869999,
            "numberType": "geo",
            "region": 5,
            "createdOn": "2022-01-03T02:00:21",
            "updatedOn": "2022-01-03T02:00:21",
            "nbAvailable": 10000,
            "nbTotal": 10000
        }
    ],
    "results": 3,
    "pages": 1,
    "page": 1
}

Get a number suggestion from the NIMS ​

Use this API to get 1 or more suggestions for available numbers/ranges. The numbers can then be assigned to a subscription

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/number_inventory/suggestion

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

Note ​

Deprecated

This endpoint is deprecated. Use instead the equivalent endpoint with tenants/subscriptions structure.

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/number_inventory/suggestions

Authorization ​

Required role

tenants.instance.subscriptions.instance.number_inventory.suggestion.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the MS Teams voice routing policy

URL/Query parameters ​

ParameterTypeDescriptionRequired?
numberTypestringNumber type of the numbers to be proposed.yes
countryCodestringCountry code of the numbers to be proposed.yes
rangeIdintegerUnique identifier of the range to be filtered.no
rangeSizestringSize of the range that has to be proposes. Must be > 0.yes
startsWithstringUse this parameter to get only numbers in specific ranges. The proposed numbers will start with this digit string.no
numberOfResultsintegerAmount of proposals you want to receive. Defaults to 1.no
vanityTypeIdintegerThe vanity type ID.no

Best effort

The API tries to comply as much as possible to your request but it might be possible that you request 10 suggestions but only 5 could be found. The API will not return an error but just provide 5 options.

WARNING

If you search in specific ranges, makes sure they stil have available ranges. Otherwise the API will not be able to provide suggestions.

Response ​

Status codes ​

ParameterDescription
200One or more suggestions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
suggestionsarraya list containing range suggestionsno
Example ​
json
{
    "suggestions": [
        [
            25409983,
            25409992
        ],
        [
            25405300,
            25405309
        ],
        [
            25405340,
            25405349
        ],
        [
            25405450,
            25405459
        ],
        [
            25405380,
            25405389
        ],
        [
            25405390,
            25405399
        ],
        [
            25405310,
            25405319
        ],
        [
            25405260,
            25405269
        ],
        [
            25405430,
            25405439
        ],
        [
            25405270,
            25405279
        ]
    ]
}

Get the list of operators for number portability ​

The following endpoint returns the list of defined operators that may be used when creating a porting request.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/porting/operators

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Returns a list of operators for a porting request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
operatorsarrayA list containing all defined operators for a porting requestno
Operator Object ​
ParameterTypeDescriptionConditional?
idintegerInternal ID of the operator in the NPACT databaseno
shortNamestringShort name of the operatorno
namestringName of the operatorno
contactEmailstringContact Email of the operatorno
defaultbooleanIndicates if the operator is the default one (there might be only one defined true)no
Example ​
json
{
  "operators": [
    {
      "id": 1,
      "shortName": "WECO",
      "name": "WECO",
      "contactEmail": "",
      "default": true
    },
    {
      "id": 2,
      "shortName": "T108",
      "name": "T108",
      "contactEmail": "",
      "default": false
    }
  ]
}

Get the list of required document types when initiating a porting request ​

The following endpoint returns the list of required document types that need to be provided when creating a porting request.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/porting/documents

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Returns a list of required document types when creating a porting request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
documentsarrayA list containing all required document types when iniaiting a porting requestno
Document Type Object ​
ParameterTypeDescriptionConditional?
keystringA unique key defining the document type identityno
namestringName of the document typeno
descriptionstringDescription of the document typeno
allowedFormatsarrayA list of MIME types allowed for the document typeno
Example ​
json
{
  "documents": [
    {
      "key": "id",
      "name": "ID",
      "description": "A copy of your national ID",
      "allowed_formats": [
        "image/jpg",
        "image/png",
        "image/bmp",
        "application/pdf",
        "application/msword",
        "application/vnd.oasis.opendocument.text"
      ]
    },
    {
      "key": "loa",
      "name": "Letter",
      "description": "Letter of authorization with the official company's letterhead; this is a letter telling you want to port in numbers you have added previously",
      "allowed_formats": [
        "image/jpg",
        "image/png",
        "image/bmp",
        "application/pdf",
        "application/msword",
        "application/vnd.oasis.opendocument.text"
      ]
    },
    {
      "key": "bill",
      "name": "Billing statement",
      "description": "Last (and up to date) billing statement showing that the company owns those numbers",
      "allowed_formats": [
        "image/jpg",
        "image/png",
        "image/bmp",
        "application/pdf",
        "application/msword",
        "application/vnd.oasis.opendocument.text"
      ]
    }
  ]
}

Get the porting requirements per country ​

The following endpoint returns, per country, the information that has to be provided when creating a porting request: the input parameters (grouped in sections), the numbering rules and the required documents.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/porting/requirements

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Returns the list of porting requirements per country
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
countriesarrayA list containing the porting requirements of each countryno
Porting Requirements Object ​
ParameterTypeDescriptionConditional?
idstringIdentifier of the country (ISO code)no
namestringName of the countryno
inputsarrayA list of input section objects describing the data to provideno
numberingobjectA numbering object describing the format of the numbers that can be portedno
documentsarrayA list of porting document objects that have to be uploadedno
Porting Input Section Object ​
ParameterTypeDescriptionConditional?
sectionstringName of the section grouping the parametersno
parametersarrayList of parameters, each with a name (string), a type (string) and a mandatory flag (boolean)no
Porting Numbering Object ​
ParameterTypeDescriptionConditional?
startsWithstringPrefix the numbers to port must start withno
minDigitsintegerMinimum amount of digits of a numberno
maxDigitsintegerMaximum amount of digits of a numberno
Porting Document Object ​
ParameterTypeDescriptionConditional?
namestringName of the document typeno
allowedFormatsarrayA list of MIME types allowed for the document typeno
Example ​
json
{
  "countries": [
    {
      "id": "BE",
      "name": "Belgium",
      "inputs": [
        {
          "section": "customer",
          "parameters": [
            { "name": "companyName", "type": "string", "mandatory": true },
            { "name": "vatNumber", "type": "string", "mandatory": false }
          ]
        }
      ],
      "numbering": {
        "startsWith": "+32",
        "minDigits": 11,
        "maxDigits": 12
      },
      "documents": [
        {
          "name": "loa",
          "allowedFormats": [
            "application/pdf",
            "image/png"
          ]
        }
      ]
    }
  ]
}

Get powershell information ​

The following endpoint returns information about current version of the powershell environment and major loaded modules.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/pwsh_info

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Returns powershell and modules information
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
pwshInfoobjectInformation about the running powershell environmentno
azureADInfoobjectInformation about the loaded Azure AD moduleno
azInfoobjectInformation about the loaded Az moduleno
msTeamsInfoobjectInformation about the loaded MS Teams moduleno
Example ​
json
{
    "pwshInfo": {
        "psVersion": "7.2.0",
        "psEdition": "Core",
        "gitCommitId": "7.2.0",
        "os": "Linux 5.4.17-2136.301.1.2.el7uek.x86_64 #2 SMP Fri Nov 19 15:20:51 PST 2021",
        "platform": "Unix",
        "psRemotingProtocolVersion": "2.3",
        "serializationVersion": "1.1.0.1",
        "wsManStackVersion": "3.0"
    },
    "azureADInfo": {
        "version": "0.1.599.7"
    },
    "azInfo": {
        "version": "7.0.0"
    },
    "msTeamsInfo": {
        "version": "3.0.0"
    }
}

Get trunking POPs ​

POP stands for point of presence. A trunking POP is a point in our network, bound to a geographical location, to which you can connect your SIP trunks. In general you will connect your trunk to multiple POPs. This endpoint provides all potential connection points.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/public/trunking_pops

Authorization ​

Required role

Available for all authenticated users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Returns powershell and modules information
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
popsarrayA list containing all trunking pops that can be used to connect your SIP trunksno
Trunking POPs Object ​
ParameterTypeDescriptionConditional?
idintegerUnique ID uniquely representing the trunking POPno
namestringFriendly name of the POP typeno
accessFQDNstringFQDN that has to be used as outbound proxy by the PBXno
accessPortintegerUDP port at which our network is expecting the trafic. Typically 5060.no
Example ​
json
{
    "pops": [
        {
            "accessFQDN": "eindhoven.trunking.copaco.nl,",
            "accessPort": "5060",
            "id": 1,
            "name": "Trunking Access Eindhoven"
        },
        {
            "accessFQDN": "amsterdam.trunking.copaco.nl,",
            "accessPort": "5060",
            "id": 2,
            "name": "Trunking Access Amsterdam"
        }
    ]
}

Get the public configurations branding general ​

List of the public configurations of branding general.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/configurations/branding/general

Authorization ​

Required role

Available for all users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
urlstringThe domain of the FUSION instanceyes

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example ​
json
{
    "apiVersion": "api/v01",
    "appTitle": "Fusion",
    "authentication": {
        "customLogOut": {
            "enabled": false,
            "route": "/forgot-password"
        },
        "emailID": "en",
        "keepUserLoggedIn": true
    },
    "backendUrl": "https://apio-dev.fusion.netaxis.cloud",
    "customTranslations": false,
    "draasInstance": "draas/draas_fusion_dev",
    "guideLink": "https://fusion.docs.netaxis.solutions/guides/onboarding/",
    "languages": [
        "en",
        "de",
        "fr"
    ],
    "modes": {
        "admin": {
            "sso": [
                {
                    "enabled": true,
                    "icon": "/branding/default/img/GoogleLogo.svg",
                    "mode": "oidc",
                    "name": "Google",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                },
                {
                    "enabled": true,
                    "icon": "/branding/default/img/Office365Logo.svg",
                    "mode": "oidc",
                    "name": "Office 365",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                },
                {
                    "enabled": false,
                    "icon": "/branding/default/img/ExponentialELogo.svg",
                    "mode": "oidc",
                    "name": "Exponential-e",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                }
            ]
        }
    },
    "msTeamInterval": 15000,
    "name": "DRaaS"
}

Get the public configurations branding pages ​

List of the public configurations of branding pages.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/configurations/branding/pages

Authorization ​

Required role

Available for all users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
urlstringThe domain of the FUSION instanceyes

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example ​
json
{
    "distributor": {
        "distributorAdmins": {
            "enabled": true
        },
        "distributorLicenseConsumption": {
            "enabled": false
        },
        "distributorProfile": {
            "enabled": false
        },
        "distributorRatePlan": {
            "enabled": true
        },
        "distributorResellers": {
            "enabled": true
        },
        "distributorTenants": {
            "enabled": true
        }
    },
    "group": {
        "groupAdmins": {
            "enabled": true
        },
        "groupDistributors": {
            "enabled": true
        },
        "groupOrders": {
            "enabled": true
        },
        "groupProducts": {
            "enabled": true
        },
        "groupRatePlan": {
            "enabled": true
        },
        "groupResellers": {
            "enabled": true
        },
        "groupSettings": {
            "enabled": true
        },
        "groupTenants": {
            "enabled": true
        }
    },
    "groupSettings": {
        "groupSettingsConfiguration": {
            "enabled": true
        },
        "groupSettingsVoiceRouting": {
            "enabled": true
        }
    },
    "reseller": {
        "resellerAdmins": {
            "enabled": true
        },
        "resellerLicenseConsumption": {
            "enabled": false
        },
        "resellerProfile": {
            "enabled": false
        },
        "resellerRatePlan": {
            "enabled": true
        },
        "resellerTenants": {
            "enabled": true
        }
    },
    "subscription": {
        "subscriptionNumbers": {
            "tabs": {
                "myNumbers": {
                    "enabled": true
                },
                "porting": {
                    "enabled": true
                },
                "releasedNumbers": {
                    "enabled": true
                },
                "reservedNumbers": {
                    "enabled": true
                }
            }
        }
    },
    "system": {
        "systemGroupSettings": {
            "enabled": true
        },
        "systemGroups": {
            "enabled": true
        }
    },
    "tenant": {
        "tenantAdmins": {
            "enabled": true
        },
        "tenantOrders": {
            "enabled": true
        },
        "tenantProfile": {
            "enabled": true
        },
        "tenantRatePlan": {
            "enabled": true
        },
        "tenantSubscriptions": {
            "enabled": true
        }
    }
}

Get the public configurations branding styling ​

List of the public configurations of branding styling.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/configurations/branding/styling

Authorization ​

Required role

Available for all users

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
typestringThe type of styling asset. Possible values are:
  • font,
  • image,
  • theme.
yes
urlstringThe domain of the FUSION instanceyes

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example type=font ​
json
{
    "allowed": [
        "blue",
        "red",
        "green"
    ],
    "name": "Avenir Next Cyr"
}
Example type=image ​
json
{
    "favicon": "/branding/default/favicon/favicon.ico",
    "login": {
        "bg": "/branding/default/img/Loginbackground.png",
        "logo": "/branding/default/img/LoginLogo.svg"
    },
    "main": {
        "bg": "/branding/default/img/MainBackground.png",
        "logo": "/branding/default/img/Logo.svg"
    }
}
Example type=theme ​
json
{
    "allowed": [
        "blue",
        "red",
        "green"
    ],
    "selected": "blue",
    "themes": {
        "blue": "/branding/default/theme.blue.json",
        "green": "/branding/default/theme.green.json",
        "red": "/branding/default/theme.red.json"
    }
}